using System.ComponentModel;
using InABox.Mobile;
using InABox.Mobile.iOS;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(MobileEditor), typeof(MobileEditorRenderer))]

namespace InABox.Mobile.iOS
{
    class MobileEditorRenderer : EditorRenderer
    {
        public MobileEditorRenderer()
        {
        }

        protected override void OnElementChanged(ElementChangedEventArgs<Editor> e)
        {
            base.OnElementChanged(e);

            if (Control != null)
            {
                Control.Layer.CornerRadius = 5;
                Control.TextColor = UIColor.Black;
            }
        }
    }
}